Page 1 of 2 12 LastLast
Results 1 to 10 of 12

Thread: M6 repositoy update questions and problems

  1. #1

    Default M6 repositoy update questions and problems

    I installed 11.2 M6. From the beginning yast told be about problems with the update servers:

    "/media.1/media not found on http:...."

    But the URL is ok if I check it in the browser. Own added repositories (factory, ...) work.

    I thought a solution is "export ZYPP_ARIA2C=0" but have no idea how to do it when I start yast not from the command line.

    Now the following: I did the export and found, that I could not start "yast" any more. Nothing happens.

    When I start the ncurses yast2 I cannot "scroll" over the repositories but every other curser action works.

    So only left is starting yast via ctrl-F2. When I want to update I am told that updating is not configures and I am forwarded to the configuration dialog. I have no idea what to configure there as the url there seems ok. After confirmation I get an empty update table and calling "update system" gives again the same error message.

    My question: If once updating is working again (what to do), can I update my system from milestone to milestone up to the final 11.2?

    I guess this is not a bug or shall I file one?

    Thanks, Fabian

  2. #2
    Join Date
    Jun 2008
    Location
    wichita
    Posts
    990

    Default Re: M6 repositoy update questions and problems

    There is no update repo for the Milestone releases. Updates are available from the factory repos at:

    download.opensuse.org/factory

    And yes, you can update from the factory repos all the way up to the final release.

  3. #3
    Join Date
    Jun 2008
    Location
    near SUSE Headquarter
    Posts
    237

    Default Re: M6 repositoy update questions and problems

    There exist a test updates repository: Index of /update/11.2

  4. #4

    Default Re: M6 repositoy update questions and problems

    Quote Originally Posted by Beineri View Post
    There exist a test updates repository: Index of /update/11.2
    And exactly that is not working.

    "Online Update" in Yast results in the error
    "No update repository configured ye. Run configuration workflow now?" -> Yes

    In "Online Update Configuration"
    Current Update Repository
    "http://download.opensuse.org/update/11.2/ (default)"
    Automatic Online Update is checked
    -> Finish

    I get an emptly Patches view

    -> Accept -> Yast

    -> "Online Update" ->

    The same error again!

  5. #5
    Join Date
    Jun 2008
    Location
    where I am is where I am
    Posts
    1,190

    Default Re: M6 repositoy update questions and problems

    That's because IIRC that repo won't go on line until final release.
    In the interim one should use this repo:
    Index of /factory/repo
    Also if you get the updater wanting you to configure it for now, just ignore it.
    M6 is for those who are testing the next version before final release.
    Do not repeat DO NOT! use M6 on a PC you are using for general use!
    If you are trying this out use VBox or a PC you aren't using for general use.
    I'm just a curious cat
    My 64 bit: CPU AMD RYZEN 9 3900X 12 Core GPU MSI Radeon RX5600 XT
    MOTHERBOARD GIGABYTE B550 AORUS PRO AC
    Opensuse Tumbleweed Plasma 5

  6. #6

    Default Re: M6 repositoy update questions and problems

    Quote Originally Posted by Sagemta View Post
    In the interim one should use this repo:
    Index of /factory/repo
    ...
    Do not repeat DO NOT! use M6 on a PC you are using for general use!
    I cannot add the repository. Adding it or changing the old update repository is just ignored.

    How is a repository identified to be update any way?

    Unfortunately my (sound) hardware seems to be too young for 11.1. Updating ALSA did not help. And KDE 4.1 is really not a pleassure.

    Fabian

  7. #7
    Join Date
    Mar 2008
    Location
    Phuket, Thailand
    Posts
    27,109
    Blog Entries
    40

    Default Re: M6 repositoy update questions and problems

    Quote Originally Posted by road-movie View Post
    Unfortunately my (sound) hardware seems to be too young for 11.1. Updating ALSA did not help. And KDE 4.1 is really not a pleassure.
    Hey road-movie, ... I spend most of my volunteer time helping users with basic sound issues. I did not see any requests from you asking for help on openSUSE-11.1 for sound. What makes you think your hardware is too young for 11.1 ? I read you updated alsa, but I've also seen many users completely mess up that update. And sometimes in addition to updating alsa, one also has to force a model configuration upon boot.

    If you are looking for a stable desktop PC, I recommend you install openSUSE-11.1, and then let me work with you to get the sound working. I have a reasonable success rate. Failing that (because I don't always suceed), one can also write a bug report on 11.1 sound, which gets the attention of the Novell/SuSE-GmbH packager for alsa, who is also a developer for alsa. If anyone in Linux can solve a sound problem, that developer is the person, and we are fortunate to have that person working on our openSUSE distribution.

    So how about giving 11.1 a chance? If you still have it installed, start a new thread asking for sound help.

  8. #8
    Join Date
    Jun 2008
    Location
    USA
    Posts
    1,451

    Default Re: M6 repositoy update questions and problems

    I have a pc that I rarely use and, after a problem, installed milestone 3. I updated it irregularly and now sysinfo says it is milestone 6, but kde 3.9something, Build 150.

    I have tried to update for the last two days, but cannot refresh either 11.2 OSS or non-OSS. Did I miss the notice that we update with "factory" now?

    Before oldcpu bites my leg, I've got those two repos enabled plus a QT repo, an update and (a very needed) wicd repo. I'm at my "real" pc, so I can't check but I must have a kde4 repo enabled too.

    The refresh problem showed when I did half an update when zypper told me it couldn't connect to the OSS and non-OSS. So, I thought it was a temporary problem. But those 2 never came back and I am surprised that I could reboot into a functioning pc with a bunch of unsatisfied dependencies. Anyway, how do I get this sorted out?

  9. #9

    Default Re: M6 repositoy update questions and problems

    Quote Originally Posted by oldcpu View Post
    What makes you think your hardware is too young for 11.
    ...
    If you are looking for a stable desktop PC, I recommend you install openSUSE-11.1, and then let me work with you to get the sound working.
    My Intel chipset iQ45 was released after 11.1 My sound stopped working after 3 days.

    That's a great offer! I'll go back to my 11.1, try to update to KDE 4.3 and will then open a new thread when I have sound problems.

    Thanks! Regards from Erlangen to Nuremberg (?)

    Fabian

  10. #10
    Join Date
    Mar 2008
    Location
    Phuket, Thailand
    Posts
    27,109
    Blog Entries
    40

    Default Re: M6 repositoy update questions and problems

    Quote Originally Posted by road-movie View Post
    That's a great offer! I'll go back to my 11.1, try to update to KDE 4.3 and will then open a new thread when I have sound problems.
    KDE-4.3 in 11.1 ? hmmm ...

    How about 3.5.10 in 11.1 ? ... seriously, ... KDE-4.3. could introduce problems, and I know nothing about KDE-4.3 problems in an openSUSE version (11.1) tested only with 4.1.3.

    I tell you what, I'll help you get sound working in run level 3 on 11.1 !! (ASCII/text login) and you can worry about getting the sound working under run level 5 (ie under KDE-4.3).

Page 1 of 2 12 LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •